#ifndef VDR_BURN_ENVIRONMENT_H
#define VDR_BURN_ENVIRONMENT_H

#include <vdr/tools.h>

// --- cBurnVariable ----------------------------------------------------------

class cBurnVariable: public cListObject
{
private:
	cString mName;
	cString mValue;

public:
	cBurnVariable(const char *Name, const char *Value);

	const cString &Name(void) const  { return mName; }
	const cString &Value(void) const { return mValue; }
};

// --- cBurnEnvironment -------------------------------------------------------

class cBurnEnvironment: public cList<cBurnVariable>
{
public:
	cBurnEnvironment(void);

	cBurnEnvironment &operator=(const cBurnEnvironment &Object);

	void Set(void);
	void Put(const char *Name, const char *Value);
};

#endif // VDR_BURN_ENVIRONMENT_H
